# TdApi.ChatPhoto (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ChatPhoto

Package it.tdlight.jni

# Class TdApi.ChatPhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatPhoto

Enclosing class:
  TdApi

    public static class TdApi.ChatPhoto
    extends TdApi.Object

Describes a chat or user profile photo.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int` | `addedDate` | Point in time (Unix timestamp) when the photo has been added.
`TdApi.AnimatedChatPhoto` | `animation` | Animated variant of the photo in MPEG4 format; may be null.
`static int` | `CONSTRUCTOR` |
`long` | `id` | Unique photo identifier.
`TdApi.Minithumbnail` | `minithumbnail` | Photo minithumbnail; may be null.
`TdApi.PhotoSize[]` | `sizes` | Available variants of the photo in JPEG format, in different size.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChatPhoto()` | Describes a chat or user profile photo.
`ChatPhoto​(long id, int addedDate, TdApi.Minithumbnail minithumbnail, TdApi.PhotoSize[] sizes, TdApi.AnimatedChatPhoto animation)` | Describes a chat or user profile photo.
`ChatPhoto​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique photo identifier.

### addedDate

public int addedDate
Point in time (Unix timestamp) when the photo has been added.

### minithumbnail

public TdApi.Minithumbnail minithumbnail
Photo minithumbnail; may be null.

### sizes

public TdApi.PhotoSize[] sizes
Available variants of the photo in JPEG format, in different size.

### animation

public TdApi.AnimatedChatPhoto animation
Animated variant of the photo in MPEG4 format; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ChatPhoto

public ChatPhoto()
Describes a chat or user profile photo.

### ChatPhoto

public ChatPhoto​(long id, int addedDate, TdApi.Minithumbnail minithumbnail, TdApi.PhotoSize[] sizes, TdApi.AnimatedChatPhoto animation)
Describes a chat or user profile photo.

Parameters:
  `id` - long Unique photo identifier.
  `addedDate` - int Point in time (Unix timestamp) when the photo has been added.
  `minithumbnail` - Minithumbnail Photo minithumbnail; may be null.
  `sizes` - PhotoSize[] Available variants of the photo in JPEG format, in different size.
  `animation` - AnimatedChatPhoto Animated variant of the photo in MPEG4 format; may be null.

### ChatPhoto

public ChatPhoto​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`